..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

===============
fluid.optimizer
===============

.. _api_fluid_optimizer_SGD:

SGD
---

..  autoclass:: paddle.fluid.optimizer.SGD
    :members:
    :noindex:

.. _api_fluid_optimizer_Momentum:

Momentum
--------

..  autoclass:: paddle.fluid.optimizer.Momentum
    :members:
    :noindex:

.. _api_fluid_optimizer_Adagrad:

Adagrad
-------

..  autoclass:: paddle.fluid.optimizer.Adagrad
    :members:
    :noindex:

.. _api_fluid_optimizer_Adam:

Adam
----

..  autoclass:: paddle.fluid.optimizer.Adam
    :members:
    :noindex:

.. _api_fluid_optimizer_Adamax:

Adamax
------

..  autoclass:: paddle.fluid.optimizer.Adamax
    :members:
    :noindex:

.. _api_fluid_optimizer_DecayedAdagrad:

DecayedAdagrad
--------------

..  autoclass:: paddle.fluid.optimizer.DecayedAdagrad
    :members:
    :noindex:

.. _api_fluid_optimizer_Ftrl:

Ftrl
----

..  autoclass:: paddle.fluid.optimizer.Ftrl
    :members:
    :noindex:

.. _api_fluid_optimizer_SGDOptimizer:

SGDOptimizer
------------

..  autoclass:: paddle.fluid.optimizer.SGDOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_MomentumOptimizer:

MomentumOptimizer
-----------------

..  autoclass:: paddle.fluid.optimizer.MomentumOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_AdagradOptimizer:

AdagradOptimizer
----------------

..  autoclass:: paddle.fluid.optimizer.AdagradOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_AdamOptimizer:

AdamOptimizer
-------------

..  autoclass:: paddle.fluid.optimizer.AdamOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_AdamaxOptimizer:

AdamaxOptimizer
---------------

..  autoclass:: paddle.fluid.optimizer.AdamaxOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_DecayedAdagradOptimizer:

DecayedAdagradOptimizer
-----------------------

..  autoclass:: paddle.fluid.optimizer.DecayedAdagradOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_RMSPropOptimizer:

RMSPropOptimizer
----------------

..  autoclass:: paddle.fluid.optimizer.RMSPropOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_FtrlOptimizer:

FtrlOptimizer
-------------

..  autoclass:: paddle.fluid.optimizer.FtrlOptimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_Adadelta:

Adadelta
--------

..  autoclass:: paddle.fluid.optimizer.Adadelta
    :members:
    :noindex:

.. _api_fluid_optimizer_ModelAverage:

ModelAverage
------------

..  autoclass:: paddle.fluid.optimizer.ModelAverage
    :members:
    :noindex:

.. _api_fluid_optimizer_Optimizer:

Optimizer
---------

..  autoclass:: paddle.fluid.optimizer.Optimizer
    :members:
    :noindex:

.. _api_fluid_optimizer_RMSPropOptimizer:

RMSPropOptimizer
----------------

..  autoclass:: paddle.fluid.optimizer.RMSPropOptimizer
    :members:
    :noindex:

